package WebFlow.QS;

import WebFlow.event.*;
import WebFlow.*;
import java.io.*;
import java.util.*;
import org.omg.CORBA.*;

public class SimpleJobImp extends WebFlow.BeanContextChildSupport
    implements SimpleJobOperations, WebFlowModule {

String msg_;
org.omg.CORBA.Object peer;
PropertyChangeSupport pcs;
WFFileDescriptor inFile,outFile;
String command;


public SimpleJobImp(org.omg.CORBA.Object peer, String msg)
   throws WebFlow.NullPointerException
  {
    super(peer);	
    msg_ = msg;
    pcs = new PropertyChangeSupport(peer,this);
    this.peer = peer;
    System.out.println("SimpleJob initialized");
  }

    public void run() {

     String filename = inFile.getFileDirectory()+inFile.getFileName();
     System.out.println("SimpleJob inFile: "+filename);
     outFile = new WFFileDescriptorImpl(peer,"result.txt",inFile.getFileDirectory());
     System.out.println("SimpleJob: created outFile");
     command = "java simple_job "+filename;
     System.out.println("SimpleJob "+command);
     System.out.println("SimpleJob "+inFile.getFileName()); 
     System.out.println("SimpleJob "+outFile.getFileName()); 
     System.out.println("SimpleJob "+outFile.getFileDirectory()); 
  
     try { 
      Process p = Runtime.getRuntime().exec(command);
      p.waitFor();
     }
     catch (Exception e) {System.out.println("SimpleJob Error: "+e.toString());}
     System.out.println("SimpleJob done, new fire event"); 
     //pcs.fireEvent("Event101",outFile);
     fireEvent("Event101",outFile);
    }  

    public void Method1() {
    System.out.println("method1 of SimpleJob requires WFFiledescriptor");
    }
	// input port 1
        // it expects WFFileDescriptor of inFile
    
    public void Method1(WFFileDescriptor fd) {
       inFile = WFFileDescriptorHelper.narrow(fd);
       run();
    }

    public void Method2() {
    }    

    public void Method3() {
    }    

}



